For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Welcome
  • API Reference
      • GETListar Pruebas A/B
      • POSTCrear Prueba A/B
      • GETObtener Prueba A/B
      • DELEliminar Prueba A/B
      • PATCHActualizar Prueba A/B
Logo
API ReferenceA Btest

Crear Prueba A/B

POST
https://nebrijaai.com/api/v1/ab-tests
POST
/api/v1/ab-tests
$curl -X POST https://nebrijaai.com/api/v1/ab-tests \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Comparativa Asistentes Voz 2024",
> "agentA": "a3f1c9e2-4b7d-4f8a-9c2e-1d2f3b4a5c6d",
> "agentB": "b7d2e4f1-5c8a-4d9b-8e3f-2a1b4c5d6e7f",
> "successSchemaId": "c9e2a3f1-7b4d-8a4f-9c2e-3d1f5b6a7c8d"
>}'
1{
2 "id": "d4e5f6a7-b8c9-4d0e-9f1a-2b3c4d5e6f7a",
3 "name": "Comparativa Asistentes Voz 2024",
4 "description": "Prueba A/B para evaluar la eficacia de dos asistentes de voz en tareas de atención al cliente.",
5 "agentA": "a3f1c9e2-4b7d-4f8a-9c2e-1d2f3b4a5c6d",
6 "agentB": "b7d2e4f1-5c8a-4d9b-8e3f-2a1b4c5d6e7f",
7 "successSchemaId": "c9e2a3f1-7b4d-8a4f-9c2e-3d1f5b6a7c8d",
8 "status": "draft",
9 "createdAt": "2024-01-15T09:30:00Z",
10 "updatedAt": "2024-01-15T09:30:00Z"
11}

Crea una nueva prueba A/B comparando dos asistentes.

Was this page helpful?
Previous

Obtener Prueba A/B

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
agentAstringRequiredformat: "uuid"

ID del asistente A (debe ser diferente de agentB).

agentBstringRequiredformat: "uuid"

ID del asistente B (debe ser diferente de agentA).

successSchemaIdstringRequiredformat: "uuid"

ID del schema de tipo SuccessEvaluation para medir el éxito.

descriptionstringOptional
statusenumOptionalDefaults to draft
Allowed values:

Response

Prueba A/B creada.

idstringformat: "uuid"
namestring
descriptionstring
agentAstringformat: "uuid"
ID del asistente A
agentBstringformat: "uuid"
ID del asistente B
successSchemaIdstringformat: "uuid"
statusenum
Allowed values:
createdAtdatetime
updatedAtdatetime

Errors

400
Bad Request Error